Execute tag action
POST
/api/v1/tags/{env}/{action}
const url = 'https://osctrl.net/api/v1/tags/example/example';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"color":"example","custom":"example","description":"example","env":"example","icon":"example","name":"example","tagtype":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://osctrl.net/api/v1/tags/example/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "color": "example", "custom": "example", "description": "example", "env": "example", "icon": "example", "name": "example", "tagtype": 1 }'Creates, updates, deletes, or applies tags in an environment.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”env
required
string
Environment name or UUID
action
required
string
Tag action
Request Bodyrequired
Section titled “Request Bodyrequired”Request body
Media typeapplication/json
object
color
string
custom
string
description
string
env
string
icon
string
name
string
tagtype
integer
Examplegenerated
{ "color": "example", "custom": "example", "description": "example", "env": "example", "icon": "example", "name": "example", "tagtype": 1}Responses
Section titled “Responses”OK
Media typeapplication/json
object
data
string
Examplegenerated
{ "data": "example"}Bad request
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Not found
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Conflict
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Too many requests
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Service unavailable
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}